local F = string.split(RequiredScript, "/")
F = F[#F]

if F == "interactionext" then
	function ZipLineInteractionExt:_interact_blocked(player)
		if self._unit:zipline():is_usage_type_bag() and not managers.player:is_carrying() then
			return true, nil, "zipline_no_bag"
		end
	
		if self._unit:zipline():is_interact_blocked() then
			return true, nil, nil
		end
	
		return false
	end
elseif F == "playerstandard" then
	function PlayerStandard:_check_action_zipline(t, input)
		if not self._state_data.on_zipline then
			local zipline_unit = self._unit:movement():zipline_unit()
	
			if alive(zipline_unit) then
				self:_start_action_zipline(t, input, zipline_unit)
			end
		end
	end
elseif F == "playermovement" then
	PlayerMovement._STAMINA_INIT = 99999
elseif F == "interactiontweakdata" then
	Hooks:PostHook(InteractionTweakData, "init", "ParkourInteractionTweakInit", function(self)
		self.teleport_to_location = {text_id = "hud_teleport_to_location", interact_distance = 100}
		self.finish_level =  {text_id = "hud_finish_level", interact_distance = 100}
	end)
end